
describe('Storybook Components', () => {
  context('Alert', () => {
    beforeEach(() => {
      cy.loadStorybook()
    })

    it('Warning', () => {
      cy.loadComponent('notifications', 'warning')
      cy.clickCheckContentComponent(
        'div', 'span',
        'warning',
        'You have one or more policies that are either expired or expiring!',
        'close: (1)'
      );
    })

    it('Informative', () => {
      cy.loadComponent('notifications', 'informative')
      cy.clickCheckContentComponent(
        'div', 'span',
        'info',
        'You have one or more policies that are either expired or expiring!',
        'close: (1)'
      );
    })

    it('Error', () => {
      cy.loadComponent('notifications', 'error')
      cy.clickCheckContentComponent(
        'div', 'span',
        'error',
        'You have one or more policies that are either expired or expiring!',
        'close: (1)'
      );
    })

    it('Success', () => {
      cy.loadComponent('notifications', 'success')
      cy.clickCheckContentComponent(
        'div', 'span',
        'success',
        'You have one or more policies that are either expired or expiring!',
        'close: (1)'
      );
    })
  })
})
